/**
 * 
 */
package com.as.lyons.rest.svc.common;

/**
 * An instance of this class will be returned upon successfull login.
 * The inherited {@link #getErrorMessage()} will be null.
 * 
 * @author pgurov
 *
 */
public class LogonResult extends ErrorResult {

	private String token;

	/**
	 * This token identifies the current session and should be sent with all other requests.
	 * The token is valid across multiple Lyons services, provided the logged in user has the necessary privileges.
	 *  
	 * @return the token
	 */
	public String getToken() {
		return token;
	}

	/**
	 * @param token the token to set
	 */
	public void setToken(String token) {
		this.token = token;
	}
}
